ranges::views::take_fn Struct Reference
Inheritance diagram for ranges::views::take_fn:

## Synopsis of methods

constexpr take_fn | take {}

## Public Member Functions

template<typename Int >
CPP_TEMPLATE_AUX_0 | c (requires ` detail::integer_like_< Int >) ccconstexpr auto operator()(Int n) const
Public Member Functions inherited from ranges::views::take_base_fn
template<typename Rng >
CPP_TEMPLATE_AUX_0 | t (requires ` viewable_range< Rng >) tttake_view< all_t< Rng >> operator()(Rng &&rng

## Additional Inherited Members

Public Attributes inherited from ranges::views::take_base_fn
CPP_TEMPLATE_AUX_0 range_difference_t< Rng > n | const